#
# spec file for package lukemftp (Version 1.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim zlib zlib-devel

Name:           lukemftp
BuildRequires:  update-alternatives
License:        BSD
Group:          Productivity/Networking/Ftp/Clients
Conflicts:      ftp
Provides:       nkitb:/usr/bin/ftp
PreReq:         update-alternatives
Autoreqprov:    on
Version:        1.5
Release:        598.2
Summary:        Enhanced FTP Client
URL:            ftp://ftp.netbsd.org/pub/NetBSD/misc/lukemftp/
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.dif
Patch1:         hostname.dif
Patch3:         %{name}-%{version}-secfix.dif
Patch4:         %{name}-%{version}-strict-aliasing-fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
lukemftp is the enhanced FTP client in NetBSD.



Authors:
--------
    Luke Mewburn <lukem@netbsd.org>

%define prefix   /usr
%debug_package
%prep
%setup
%patch
%patch1
%patch3
%patch4

%build
%{?suse_update_config:%{suse_update_config}}
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --mandir=%{_mandir} --prefix=%{prefix} --infodir=%{_infodir} \
	    --sysconfdir=%{_sysconfdir} --target=%{_target_cpu}-suse-linux 
make

%install
make DESTDIR=$RPM_BUILD_ROOT/ install
mv $RPM_BUILD_ROOT/usr/bin/{,p}ftp
mv $RPM_BUILD_ROOT%{_mandir}/man1/{,p}ftp.1
touch ${RPM_BUILD_ROOT}%{_bindir}/ftp

%post
test -L ${RPM_BUILD_ROOT}%{_bindir}/ftp || rm -f ${RPM_BUILD_ROOT}%{_bindir}/ftp
update-alternatives --install  %{_bindir}/ftp ftp %{_bindir}/pftp 10 \
  --slave %{_mandir}/man1/ftp.1.gz ftp.1 %{_mandir}/man1/pftp.1.gz
update-alternatives --auto ftp

%preun
if [ $1 -eq 0 ]; then
  update-alternatives --remove ftp %{_bindir}/pftp
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL NEWS README THANKS
%ghost %{_bindir}/ftp
%{_bindir}/pftp
%doc %{_mandir}/man1/*

%changelog -n lukemftp
* Mon Mar 20 2006 - postadal@suse.cz
- packaged %%ghost /usr/bin/ftp [#159341]
* Mon Mar 13 2006 - postadal@suse.cz
- removed lftp from Osoletes [#156450]
* Sat Mar 11 2006 - postadal@suse.cz
- added ftp and ftp.1 to alternative system, so they can be
  interchanged with lftp [#156450]
* Thu Mar 09 2006 - postadal@suse.cz
- fixed update problem [#156450]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 10 2004 - postadal@suse.cz
- fixed code that broke strict aliasing
* Tue Jan 13 2004 - schwab@suse.de
- Don't call aclocal.
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Thu Sep 19 2002 - postadal@suse.cz
- default type of transfering files was reverted to network ASCII [#17006]
  (removed old patch)
* Wed May 08 2002 - postadal@suse.cz
- security fix (buffer overflow on PASV from malicious server)
* Wed Apr 03 2002 - postadal@suse.cz
- fixed to compile with autoconf-2.53
* Wed Sep 26 2001 - kukuk@suse.de
- Compile with large file support
* Mon Aug 13 2001 - cihlar@suse.cz
- explicitly set default type to binary [#9712]
* Thu Aug 02 2001 - cihlar@suse.cz
- fixed hostname in "Connected to ..." [#9503]
* Sun Apr 01 2001 - schwab@suse.de
- Get the initial transfer type right for the listings.
- Define _GNU_SOURCE for strptime.
- Fix autoconf test for size of off_t.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Dec 01 2000 - smid@suse.cz
- new version 1.5
* Fri Sep 29 2000 - kukuk@suse.de
- new package, split from nkitb
